Bug 22973 - Remove type attribute from script tags: Staff client includes 2/2
Summary: Remove type attribute from script tags: Staff client includes 2/2
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 22974
Blocks: 22956
  Show dependency treegraph
 
Reported: 2019-05-23 12:34 UTC by Owen Leonard
Modified: 2019-05-30 10:39 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22973: Remove type attribute from script tags: Staff client includes 2/2 (9.04 KB, patch)
2019-05-23 13:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22973: Remove type attribute from script tags: Staff client includes 2/2 (9.16 KB, patch)
2019-05-23 22:47 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22973: Remove type attribute from script tags: Staff client includes 2/2 (9.20 KB, patch)
2019-05-27 20:48 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-23 12:34:04 UTC
This patch will remove the obsolete "type" attribute from <script> tags in the following staff client include files:

 - intranet-tmpl\prog\en\includes\installer-strings.inc
 - intranet-tmpl\prog\en\includes\password_check.inc
 - intranet-tmpl\prog\en\includes\slip-print.inc
 - intranet-tmpl\prog\en\includes\strings.inc
 - intranet-tmpl\prog\en\includes\timepicker.inc
 - intranet-tmpl\prog\en\includes\validator-strings.inc
 - intranet-tmpl\prog\en\includes\z3950_search.inc
Comment 1 Owen Leonard 2019-05-23 13:44:04 UTC Comment hidden (obsolete)
Comment 2 Hayley Mapley 2019-05-23 22:47:18 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-05-27 20:48:16 UTC
Created attachment 90124 [details] [review]
Bug 22973: Remove type attribute from script tags: Staff client includes 2/2

This patch removes the "type" attribute from <script> tags in several
staff client include files. Also removed: Obsolete "//<![CDATA[ //]]>"
markers.

This patch also makes minor indentation changes, so diff using the "-w"
flag.

To test, apply the patch and confirm that examples of affected pages
work properly without any JavaScript errors in the browser console:

 - Installer -> Onboarding (uses installer-strings.inc,
   validator-strings.inc)
 - Patrons -> Patron details -> Change password (uses
   password_check.inc)
 - Patrons -> Patron details -> Print summary (slip-print.inc)
 - Circulation -> Check out (strings.inc, timepicker.inc)
 - Cataloging -> New from Z39.50/SRU (z3950_search.inc)

Validating the HTML source of any of these pages should return no errors
related to the "type" attribute.

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-05-30 10:39:36 UTC
Awesome work all!

Pushed to master for 19.05